.\"	$NetBSD: wcscasecmp.3,v 1.1 2006/08/26 22:48:50 christos Exp $
.\"
.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" Chris Torek.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)wcscasecmp.3	8.1 (Berkeley) 6/9/93
.\"
.Dd August 26, 2006
.Dt WCSCASECMP 3
.Os
.Sh NAME
.Nm wcscasecmp ,
.Nm wcsncasecmp
.Nd compare wide character strings, ignoring case
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In wchar.h
.Ft int
.Fn wcscasecmp "const wchar_t *s1" "const wchar_t *s2"
.Ft int
.Fn wcsncasecmp "const wchar_t *s1" "const wchar_t *s2" "size_t len"
.Sh DESCRIPTION
The
.Fn wcscasecmp
and
.Fn wcsncasecmp
functions
compare the nul-terminated strings
.Fa s1
and
.Fa s2
and return an integer greater than, equal to, or less than 0,
according to whether
.Fa s1
is lexicographically greater than, equal to, or less than
.Fa s2
after translation of each corresponding character to lower-case.
The strings themselves are not modified.
.Pp
The
.Fn wcsncasecmp
compares at most
.Fa len
characters.
.Sh SEE ALSO
.Xr wcscmp 3
.Sh HISTORY
The
.Fn wcscasecmp
and
.Fn wcsncasecmp
functions first appeared in
.Nx 4.0 .
.Sh NOTES
If
.Fa len
is zero,
.Fn wcsncasecmp
returns always 0.
